{
    onHit(target, source, move) {
        if (!target.hp) return;
        if (target.volatiles['angerpointboost']) return;

        if (move?.effectType === "Move" && target.getMoveHitData(move).crit) {
            this.boost({ atk: 3 }, target, target);
            target.addVolatile('angerpointboost');
        }

        if (target.volatiles['taunt']) {
            this.boost({ atk: 3 }, target, target);
            target.addVolatile('angerpointboost');
        }
    },
    flags: {},
    name: "Anger Point",
    rating: 1,
    num: 83
}
